petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscFunctionListFind

Find function registered under given name

### Synopsis

    #include <petscsys.h>
    PetscErrorCode PetscFunctionListFind(PetscFunctionList flist,const char name[],void (**fptr)(void))

### Input Parameters

| flist | - pointer to list
| name | - name registered for the function

### Output Parameters

fptr -the function pointer if name was found, else NULL

### See Also

PetscFunctionListAdd(), PetscFunctionList, PetscObjectQueryFunction()

Level:developer
Location:src/sys/dll/reg.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex8.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex11.c.html